<?php

if ( ! function_exists( 'dfu_busacc_fn_custom_css' ) ) {
	function dfu_busacc_fn_custom_css() {
		echo '<style type="text/css">';
		//root
		echo ':root {';
		$btndefault = array(
			'text'  => '#f0f1f2',
			'htext' => '#fcfcfc',
			'bg'    => '#0088cc',
			'hbg'   => '#006191',
		);
		$btncol = get_theme_mod( 'dba_button', $btndefault );
		echo '--color-primary-text1: ' . esc_attr( $btncol['text'] ) . ';';
		echo '--color-primary-text2: ' . esc_attr( $btncol['htext'] ) . ';';
		if ( true == get_theme_mod( 'dba_btn_grad' ) ) {
			$p1 = get_theme_mod( 'dba_btn_first', '#0088cc' );
			$p2 = get_theme_mod( 'dba_btn_second', '#006191' );
		} else {
			$p1 = $btncol['bg'];
			$p2 = $btncol['hbg'];
		}
		$ctype = dfu_busacc_fn_colourcheck( $p1 );

		$lnkdefault = array(
			'text'   => '#cc4400',
			'htext'  => '#913000',
		);
		$linkcol = get_theme_mod( 'dba_link', $lnkdefault );

		$s1 = $linkcol['text'];
		$s2 = $linkcol['htext'];

		$themecolors = dfu_busacc_fn_theme_colours( $p1, $s1 );
		$p3 = $themecolors['pri_lt95'];
		$p4 = $themecolors['pri_lt90'];
		echo '--color-primary1: ' . esc_attr( $p1 ) . ';';
		echo '--color-primary2: ' . esc_attr( $p2 ) . ';';
		echo '--color-primary3: ' . esc_attr( $p3 ) . ';';
		echo '--color-primary4: ' . esc_attr( $p4 ) . ';';

		$s3 = $themecolors['sec_lt95'];
		$s4 = $themecolors['sec_lt60'];
		echo '--color-secondary1: ' . esc_attr( $s1 ) . ';';
		echo '--color-secondary2: ' . esc_attr( $s2 ) . ';';
		echo '--color-secondary3: ' . esc_attr( $s3 ) . ';';
		echo '--color-secondary4: ' . esc_attr( $s4 ) . ';';

		$defaultfont = get_theme_mod( 'dba_default_font' );
		$txtcol = $defaultfont['color'] ;
		echo '--color-main-text: ' . esc_attr( $txtcol ) . ';';

		$greys = dfu_busacc_fn_getgreyscale( $p1 );
		echo '--color-white1: ' . esc_attr( $greys['col1'] ) . ';';
		echo '--color-white2: ' . esc_attr( $greys['col2'] ) . ';';
		echo '--color-grey-light1: ' . esc_attr( $greys['col3'] ) . ';';
		echo '--color-grey-light2: ' . esc_attr( $greys['col4'] ) . ';';
		echo '--color-grey1: ' . esc_attr( $greys['col5'] ) . ';';
		echo '--color-grey2: ' . esc_attr( $greys['col6'] ) . ';';
		echo '--color-grey-dark1: ' . esc_attr( $greys['col7'] ) . ';';
		echo '--color-grey-dark2: ' . esc_attr( $greys['col8'] ) . ';';

		$minheight = get_theme_mod( 'dba_ctrl_height', '2.5' );
		echo '--min-height: ' . esc_attr( $minheight ) . 'rem;';

		$borderradius = get_theme_mod( 'dba_ctrl_border_radius', '0' );
		echo '--border-radius: ' . esc_attr( $borderradius ) . 'rem;';

		echo '} ';

		// Link
		echo 'a:not([class]), a[class=""], a[class~="dba-link"], a:not([class]):link, a[class=""]:link, a[class~="dba-link"]:link, a:not([class]):visited, a[class=""]:visited, a[class~="dba-link"]:visited { color: ' . esc_attr( $linkcol['text'] ) . '; } ';
		echo 'a:not([class]):hover, a[class=""]:hover, a[class~="dba-link"]:hover, a:not([class]):focus, a[class=""]:focus, a[class~="dba-link"]:focus, a:not([class]):active, a[class=""]:active, a[class~="dba-link"]:active { color: ' . esc_attr( $linkcol['htext'] ) . '; } ';

		// Buttons
		$btngrad = get_theme_mod( 'dba_btn_grad', false );
		echo ( ( class_exists( 'woocommerce' ) ) ? '.woocommerce a.button, .woocommerce a.button:visited, .woocommerce a.button:link, .woocommerce button.button, .woocommerce input.button, ' : '' );
		echo '.btn, .btn:visited, .btn:link, button:not(.dba-nonbtn):not(.close), button:not(.dba-nonbtn):not(.close):visited, button:not(.dba-nonbtn):not(.close):link, ';
		echo 'input[type=button], input[type=button]:visited, input[type=button]:link, ';
		echo 'input[type=submit], input[type=submit]:visited, input[type=submit]:link, ';
		echo 'input[type="reset"], input[type="reset"]:visited, input[type="reset"]:link {';
		echo 'font-weight: 400; box-shadow: var(--shadow-light); ';
		echo 'min-height: var(--min-height); ';
		echo 'border-radius: var(--border-radius); ';
		echo 'color: ' . esc_attr( $btncol['text'] ) . '; ';
		echo 'background-color: ' . esc_attr( $btncol['bg'] ) . '; ';
		if ( $btngrad ) {
			$graddir = get_theme_mod( 'dba_gradient_direction', '' );
			$fcolor = get_theme_mod( 'dba_btn_first' );
			$scolor = get_theme_mod( 'dba_btn_second' );
			echo 'background: linear-gradient(' . esc_attr( $graddir ) . ', ' . esc_attr( $fcolor ) . ', ' . esc_attr( $scolor ) . '); ';
		}
		echo '} ';

		$lnht = $minheight - 0.75;
		echo ( ( class_exists( 'woocommerce' ) ) ? '.woocommerce a.button, .woocommerce a.button:visited, .woocommerce a.button:link { padding: .375rem .75rem; line-height: ' . esc_attr( $lnht ) . ';  } ' : '' );

		echo ( ( class_exists( 'woocommerce' ) ) ? '.woocommerce a.button:hover, .woocommerce a.button:focus, .woocommerce a.button:active, .woocommerce button.button:hover, .woocommerce button.button:focus, .woocommerce button.button:active, .woocommerce input.button:hover, .woocommerce input.button:focus, .woocommerce input.button:active, ' : '' );
		echo '.btn:hover, .btn:focus, .btn:active, button:not(.dba-nonbtn):not(.close):hover, button:not(.dba-nonbtn):not(.close):focus, button:not(.dba-nonbtn):not(.close):active, ';
		echo 'input[type=button]:hover, input[type=button]:focus, input[type=button]:active, ';
		echo 'input[type=submit]:hover, input[type=submit]:focus, input[type=submit]:active, ';
		echo 'input[type="reset"]:hover, input[type="reset"]:focus, input[type="reset"]:active {';
		echo 'box-shadow: var(--shadow-dark); ';
		echo 'color: ' . esc_attr( $btncol['htext'] ) . '; ';
		echo 'background-color: ' . esc_attr( $btncol['hbg'] ) . '; ';
		if ( $btngrad ) {
			$hgraddir = get_theme_mod( 'dba_gradient_hdirection', '' );
			$hfcolor = get_theme_mod( 'dba_btn_hfirst' );
			$hscolor = get_theme_mod( 'dba_btn_hsecond' );
			echo 'background: linear-gradient(' . esc_attr( $hgraddir ) . ', ' . esc_attr( $hfcolor ) . ', ' . esc_attr( $hscolor ) . '); ';
		}
		echo '} ';

		// Form controls
		$ctrlborderwidth = get_theme_mod( 'dba_ctrl_border', '0' );
		$ctrlbordercolor = get_theme_mod( 'dba_ctrl_border_color' );
		$ctrlbtmborderwidth = get_theme_mod( 'dba_ctrl_btm_border', '0' );
		$ctrlbtmbordercolor = get_theme_mod( 'dba_ctrl_btm_border_color' );
		$ctrlbordercolofocus = get_theme_mod( 'dba_ctrl_border_color_focus' );
		$ctrlbtmbordercolorfocus = get_theme_mod( 'dba_ctrl_btm_border_color_focus' );
		$ctrlbtmbordercolorinv = get_theme_mod( 'dba_ctrl_btm_border_color_focus_inv' );
		$inputdefault = array(
			'text'      => '#bdc4c6',
			'bg'        => '#fcfcfc',
			'focus'     => '#ffffff',
		);
		$inputcolors = get_theme_mod( 'dba_input', $inputdefault );
		$inputbgcolor = $inputcolors['bg'];
		$inputfocuscolor = $inputcolors['focus'];
		$inputtext = $inputcolors['text'];
		echo ( ( class_exists( 'woocommerce' ) ) ? '.woocommerce .quantity input.qty, .quantity input.qty, .woocommerce input.input-text, .select2-container--default .select2-selection--single, ' : '' );
		echo '.form-control, select, input[type=search], textarea { ';
		if ( 0 !== $ctrlborderwidth && ! empty( $ctrlbordercolor ) ) {
			echo 'border: ' . esc_attr( $ctrlborderwidth ) . 'px solid ' . esc_attr( $ctrlbordercolor ) . '; ';
		} else {
			echo 'border: 0; ';
		}
		echo 'min-height: var(--min-height); ';
		echo 'border-radius: ' . esc_attr( $borderradius ) . 'rem; ';
		echo '} ';

		echo ( ( class_exists( 'woocommerce' ) ) ? '.woocommerce .quantity input.qty, .quantity input.qty, .woocommerce input.input-text, .select2-container--default .select2-selection--single, ' : '' );
		echo '.form-control:not(:focus), select:not(:focus), input[type=search]:not(:focus), textarea:not(:focus) { ';
		if ( 0 !== $ctrlbtmborderwidth && ! empty( $ctrlbtmbordercolor ) ) {
			echo 'border-bottom: ' . esc_attr( $ctrlbtmborderwidth ) . 'px solid ' . esc_attr( $ctrlbtmbordercolor ) . '; ';
		} else {
			echo 'border-bottom: 0; ';
		}
		echo '} ';

		echo ( ( class_exists( 'woocommerce' ) ) ? '.woocommerce .quantity input.qty:focus, .quantity input.qty:focus, .woocommerce input.input-text:focus, .select2-container--default .select2-selection--single:focus, ' : '' );
		echo '.form-control:focus, select:focus, input[type=search]:focus, textarea:focus { ';
		if ( 0 !== $ctrlborderwidth && ! empty( $ctrlbordercolofocus ) ) {
			echo 'border: ' . esc_attr( $ctrlborderwidth ) . 'px solid ' . esc_attr( $ctrlbordercolofocus ) . '; ';
		}
		if ( 0 !== $ctrlbtmborderwidth && ! empty( $ctrlbtmbordercolorfocus ) ) {
			echo 'border-bottom: ' . esc_attr( $ctrlbtmborderwidth ) . 'px solid ' . esc_attr( $ctrlbtmbordercolorfocus ) . '; ';
		}
		echo '} ';

		echo ( ( class_exists( 'woocommerce' ) ) ? '.woocommerce .quantity input.qty:focus:invalid, .quantity input.qty:focus:invalid, .woocommerce input.input-text:focus:invalid, .select2-container--default .select2-selection--single:focus:invalid, ' : '' );
		echo '.form-control:focus:invalid, input[type=search]:focus:invalid, textarea:focus:invalid { ';
		echo 'border-bottom: ' . esc_attr( $ctrlbtmborderwidth ) . 'px solid ' . esc_attr( $ctrlbtmbordercolorinv ) . '; ';
		echo '} ';

		// Border radius
		if ( 0 != $borderradius && $borderradius < 1 ) {
			echo '.checkbox input[type="checkbox"]+span::before, .card { ';
			echo 'border-radius: ' . esc_attr( $borderradius ) . 'rem; }';
		} elseif ( 0 != $borderradius && $borderradius >= 1 ) {
			echo '.checkbox input[type="checkbox"]+span::before, .card { ';
			echo 'border-radius: .6rem; }';
		}

		// Caldera form controls
		if ( defined( 'CFCORE_VER' ) ) {
			echo '.theme-dfu-busacc .caldera-grid .ccselect2-container.form-control, .theme-dfu-busacc .caldera-grid .ccselect2-container.form-control:hover { ';
			if ( 0 !== $ctrlborderwidth && ! empty( $ctrlbordercolor ) ) {
				echo 'border: ' . esc_attr( $ctrlborderwidth ) . 'px solid ' . esc_attr( $ctrlbordercolor ) . '; ';
			} else {
				echo 'border: 0; ';
			}
			echo 'border-bottom: ' . esc_attr( $ctrlbtmborderwidth ) . 'px solid ' . esc_attr( $ctrlbtmbordercolor ) . '; ';
			echo '} ';

			echo '.theme-dfu-busacc .caldera-grid .ccselect2-container.form-control:focus { ';
			if ( 0 !== $ctrlborderwidth && ! empty( $ctrlbordercolofocus ) ) {
				echo 'border: ' . esc_attr( $ctrlborderwidth ) . 'px solid ' . esc_attr( $ctrlbordercolofocus ) . '; ';
			}
			if ( 0 !== $ctrlbtmborderwidth && ! empty( $ctrlbtmbordercolorfocus ) ) {
				echo 'border-bottom: ' . esc_attr( $ctrlbtmborderwidth ) . 'px solid ' . esc_attr( $ctrlbtmbordercolorfocus ) . '; ';
			}
			echo '} ';

			echo '.theme-dfu-busacc .caldera-grid .ccselect2-container.form-control:focus:invalid { ';
			echo 'border-bottom: ' . esc_attr( $ctrlbtmborderwidth ) . 'px solid ' . esc_attr( $ctrlbtmbordercolorinv ) . '; ';
			echo '} ';

			echo '.ccselect2-container a.ccselect2-choice { ';
			echo 'min-height: ' . esc_attr( $minheight ) . 'rem; ';
			echo 'line-height: ' . esc_attr( $minheight ) . 'rem; ';
			echo 'border-radius: ' . esc_attr( $borderradius ) . 'rem; ';
			echo 'background-color: ' . esc_attr( $inputbgcolor ) . '; ';
			echo 'border: 0 !important; ';
			echo 'background-image: none; ';
			echo '} ';
			
			echo '.ccselect2-container a.ccselect2-choice .ccselect2-arrow b { ';
			echo 'background-position-y: 5px; ';
			echo '} ';
		}

		//WC dropdown
		if ( class_exists( 'woocommerce' ) && ! empty( $ctrlbordercolor ) ) {
			echo '.select2-dropdown { border-color: ' . esc_attr( $ctrlbordercolor ) . '; } ';
		}

		echo 'input[type="text"]::-webkit-input-placeholder, input[type="email"]::-webkit-input-placeholder, input[type="url"]::-webkit-input-placeholder, ';
		echo 'input[type="password"]::-webkit-input-placeholder, input[type="search"]::-webkit-input-placeholder, input[type="number"]::-webkit-input-placeholder, ';
		echo 'input[type="tel"]::-webkit-input-placeholder, input[type="range"]::-webkit-input-placeholder, input[type="date"]::-webkit-input-placeholder, ';
		echo 'input[type="month"]::-webkit-input-placeholder, input[type="week"]::-webkit-input-placeholder, input[type="time"]::-webkit-input-placeholder, ';
		echo 'input[type="datetime"]::-webkit-input-placeholder, input[type="datetime-local"]::-webkit-input-placeholder, input[type="color"]::-webkit-input-placeholder, ';
		echo 'textarea::-webkit-input-placeholder, .form-control::-webkit-input-placeholder { ';
		echo 'color: ' . esc_attr( $inputtext ) . '; ';
		echo '}';

		echo ( ( class_exists( 'woocommerce' ) ) ? '.select2-container--default .select2-selection--single, ' : '' );
		echo 'input[type="text"], input[type="email"], input[type="url"], input[type="password"], input[type="search"], input[type="number"], ';
		echo 'input[type="tel"], input[type="range"], input[type="date"], input[type="month"], input[type="week"], input[type="time"], ';
		echo 'input[type="datetime"], input[type="datetime-local"], input[type="color"], textarea, .form-control, select { ';
		echo 'background-color: ' . esc_attr( $inputbgcolor ) . '; ';
		echo '}';
		echo ( ( class_exists( 'woocommerce' ) ) ? '.select2-container--default .select2-selection--single:focus, ' : '' );
		echo 'input[type="text"]:focus, input[type="email"]:focus, input[type="url"]:focus, input[type="password"]:focus, input[type="search"]:focus, input[type="number"]:focus, ';
		echo 'input[type="tel"]:focus, input[type="range"]:focus, input[type="date"]:focus, input[type="month"]:focus, input[type="week"]:focus, input[type="time"]:focus, ';
		echo 'input[type="datetime"]:focus, input[type="datetime-local"]:focus, input[type="color"]:focus, textarea:focus, .form-control:focus, select:focus { ';
		echo 'background-color: ' . esc_attr( $inputfocuscolor ) . '; ';
		echo '}';

		// WooCommerce
		if ( class_exists( 'woocommerce' ) ) {
			// root
			$wcdefault = array(
				'ptxt'   => '#0088cc',
				'msg'    => '#0f834d',
				'info'   => '#1e73be',
				'error'  => '#e2401c',
			);
			$wcmisccolors = get_theme_mod( 'dba_wc_misc_colors', $wcdefault );
			$msgcolor = $wcmisccolors['msg'];
			$infocolor = $wcmisccolors['info'];
			$errcolor = $wcmisccolors['error'];
			echo ':root {';
			echo '--wc-error-color: ' . esc_attr( $errcolor ) . '; ';
			echo '--wc-info-color: ' . esc_attr( $infocolor ) . '; ';
			echo '--wc-msg-color: ' . esc_attr( $msgcolor ) . '; ';
			echo '} ';
			//price
			$pricecolor = $wcmisccolors['ptxt'];
			echo '.woocommerce ul.products li.product .price, .woocommerce div.product p.price, .woocommerce div.product span.price { color: ' . esc_attr( $pricecolor ) . ' } ';
			// sale tag
			$stagborderwidth = get_theme_mod( 'dba_wc_sale_border' );
			$stagborderradius = get_theme_mod( 'dba_wc_sale_border_radius' );
			$stagcolors = get_theme_mod( 'dba_wc_sale_color' );
			$stagtxt = $stagcolors['text'];
			$stagbg = $stagcolors['bg'];
			$stagborder = get_theme_mod( 'dba_wc_sale_border_color', '#0088cc' );
			$stagbggrad = get_theme_mod( 'dba_wc_sale_tag_gradient', false );
			$stagbgdark = dfu_busacc_fn_hextint( $stagbg, 0.5, 's' );
			$stagstyle = get_theme_mod( 'dba_wc_sale_tag_style', 'onsale' );
			if ( 'onsale' == $stagstyle ) {
				echo '.woocommerce ul.products li.product .onsale, .woocommerce span.onsale { ';
				echo 'color: ' . esc_attr( $stagtxt ) . '; ';
				echo 'background-color: ' . esc_attr( $stagbg ) . '; ';
				if ( $stagbggrad ) {
					echo 'background: linear-gradient(to right, ' . esc_attr( $stagbg ) . ' 0%, ' . esc_attr( $stagbgdark ) . ' 100%); ';
				}
				if ( $stagborderwidth && '0' !== $stagborderwidth ) {
					echo 'border: ' . esc_attr( $stagborderwidth ) . 'px solid ' . esc_attr( $stagborder ) . '; ';
				}
				echo 'border-radius: ' . esc_attr( $stagborderradius ) . '%; ';
				echo '} ';
			} elseif ( 'sale-tag1' == $stagstyle ) {
				echo '.woocommerce span.sale-tag1 { ';
				echo 'color: ' . esc_attr( $stagtxt ) . '; ';
				echo 'background-color: ' . esc_attr( $stagbg ) . '; ';
				echo 'background: linear-gradient(to right, ' . esc_attr( $stagbg ) . ' 0%, ' . esc_attr( $stagbgdark ) . ' 100%); ';
				echo '} ';
				echo '.woocommerce span.sale-tag1:before { ';
				echo 'border-top-color: ' . esc_attr( $stagbgdark ) . '; ';
				echo '} ';
			} elseif ( 'sale-tag2' == $stagstyle ) {
				echo '.woocommerce span.sale-tag2 { ';
				echo 'color: ' . esc_attr( $stagtxt ) . '; ';
				echo 'background-color: ' . esc_attr( $stagbg ) . '; ';
				echo 'background: linear-gradient(to right, ' . esc_attr( $stagbgdark ) . ' 0%, ' . esc_attr( $stagbg ) . ' 100%); ';
				echo '} ';
				echo '.woocommerce span.sale-tag2:after { ';
				echo 'border-left-color: ' . esc_attr( $stagbg ) . '; ';
				echo '} ';
			} elseif ( 'sale-tag3' == $stagstyle ) {
				echo '.woocommerce span.sale-tag3 { ';
				echo 'color: ' . esc_attr( $stagtxt ) . '; ';
				echo 'background-color: ' . esc_attr( $stagbg ) . '; ';
				echo 'background: linear-gradient(to bottom, ' . esc_attr( $stagbg ) . ' 0%, ' . esc_attr( $stagbgdark ) . ' 100%); ';
				echo '} ';
				echo '.woocommerce span.sale-tag3:before { ';
				echo 'border-top-color: ' . esc_attr( $stagbgdark ) . '; ';
				echo '} ';
				echo '.woocommerce span.sale-tag3:after { ';
				echo 'border-left-color: ' . esc_attr( $stagbgdark ) . '; ';
				echo '} ';
			} elseif ( 'sale-tag4' == $stagstyle ) {
				echo '.woocommerce span.sale-tag4 { ';
				echo 'color: ' . esc_attr( $stagtxt ) . '; ';
				echo 'background-color: ' . esc_attr( $stagbg ) . '; ';
				echo 'background: linear-gradient(to right, ' . esc_attr( $stagbg ) . ' 0%, ' . esc_attr( $stagbgdark ) . ' 100%); ';
				echo '} ';
				echo '.woocommerce span.sale-tag4:before { ';
				echo 'border-top-color: ' . esc_attr( $stagbgdark ) . '; ';
				echo '} ';
				echo '.woocommerce span.sale-tag4:after { ';
				echo 'border-color: ' . esc_attr( $stagborder ) . '; ';
				echo '} ';
			}
			// single product page - thumbnail
			$numthumbnail = get_theme_mod( 'dba_wc_sglprod_thumbnail_row', 4 );
			$tnpercent = 100 / $numthumbnail;
			echo '.woocommerce div.product div.images .flex-control-thumbs li { width: ' . esc_attr( $tnpercent ) . '% !important; } ';
			// single product page - image/summary split
			$prodimgwidth = get_theme_mod( 'dba_wc_sglprod_img_width', '6' );
			switch ( $prodimgwidth ) {
				case '4':
					$mdimgwthl = 48;
					$lgimgwthl = 32;
					break;
				case '5':
					$mdimgwthl = 48;
					$lgimgwthl = 40;
					break;
				case '6':
					$mdimgwthl = 48;
					$lgimgwthl = 48;
					break;
				case '7':
					$mdimgwthl = 56;
					$lgimgwthl = 56;
					break;
				case '8':
					$mdimgwthl = 64;
					$lgimgwthl = 64;
					break;
			}
			$mdimgwthr = 96 - $mdimgwthl;
			$lgimgwthr = 96 - $lgimgwthl;
			if ( 12 != $prodimgwidth ) {
				echo '@media screen and (min-width: 768px) { ';
				echo '.woocommerce #content div.product div.images, .woocommerce div.product div.images, .woocommerce-page #content div.product div.images, .woocommerce-page div.product div.images { ';
				echo 'width: ' . esc_attr( $mdimgwthl ) . '%; ';
				echo '} ';
				echo '.woocommerce #content div.product div.summary, .woocommerce div.product div.summary, .woocommerce-page #content div.product div.summary, .woocommerce-page div.product div.summary { ';
				echo 'width: ' . esc_attr( $mdimgwthr ) . '%; ';
				if ( $mdimgwthr <= 48 ) {
					echo 'float: right; clear: none; ';
				}
				echo '} ';
				echo '} ';
				echo '@media screen and (min-width: 992px) { ';
				echo '.woocommerce #content div.product div.images, .woocommerce div.product div.images, .woocommerce-page #content div.product div.images, .woocommerce-page div.product div.images { ';
				echo 'width: ' . esc_attr( $lgimgwthl ) . '%; ';
				echo '} ';
				echo '.woocommerce #content div.product div.summary, .woocommerce div.product div.summary, .woocommerce-page #content div.product div.summary, .woocommerce-page div.product div.summary { ';
				echo 'width: ' . esc_attr( $lgimgwthr ) . '%; ';
				echo '} ';
				echo '} ';
				echo '@media screen and (max-width: 768px) { ';
				echo '.woocommerce #content div.product div.images, .woocommerce div.product div.images, .woocommerce-page #content div.product div.images, .woocommerce-page div.product div.images, ';
				echo '.woocommerce #content div.product div.summary, .woocommerce div.product div.summary, .woocommerce-page #content div.product div.summary, .woocommerce-page div.product div.summary ';
				echo '{ width: 100%; } ';
				echo '} ';
			}
			// single product - sticky summary
			$stickyprodsummary = get_theme_mod( 'dba_wc_sglprod_sticky_summary', false );
			if ( $stickyprodsummary ) {
				$wcstickysumfromwidth = get_theme_mod( 'dba_wc_sglprod_stickysum_from_wth', 768 );
				$wcsglprodsidebar = get_theme_mod( 'dba_wc_product_sidebar', '' );
				$wcsbwidth = get_theme_mod( 'dba_wc_sidebar_width' );
				$wcstickysumxpos = get_theme_mod( 'dba_wc_sglprod_stickysum_xpos', 'right' );
				$wcstickysumypos = get_theme_mod( 'dba_wc_sglprod_stickysum_ypos', '100' );
				$wcstickysumfixwth = get_theme_mod( 'dba_wc_sglprod_stickysum_fixwidth', false );
				if ( true == $wcstickysumfixwth ) {
					$wcstickysumwth = get_theme_mod( 'dba_wc_sglprod_stickysum_width', 220 );
				}
				$wcstickysumbgcolor = get_theme_mod( 'dba_wc_sglprod_stickysum_bgcolor' );
				if ( $wcstickysumbgcolor ) {
					$stickysumbgopacity = get_theme_mod( 'dba_wc_sglprod_stickysum_bgopacity', 1 );
					$stickysumbgcolorrgb = dfu_busacc_fn_hex2rgb( $wcstickysumbgcolor );
					$stickysumbgcolorrgba = 'rgba(' . $stickysumbgcolorrgb['r'] . ',' . $stickysumbgcolorrgb['g'] . ',' . $stickysumbgcolorrgb['b'] . ', ' . $stickysumbgopacity . ')';
				}
				if ( $wcsglprodsidebar && '' != $wcsglprodsidebar && is_active_sidebar( $wcsglprodsidebar ) && ! empty( $wcsbwidth ) ) {
					if ( 'original' !== $wcstickysumxpos && true == $wcstickysumfixwth ) {
						echo ':root { ';
						echo '--wc-sglprodmdr: ' . esc_attr( $mdimgwthr ) . '; ';
						echo '--wc-sglprodlgr: ' . esc_attr( $lgimgwthr ) . '; ';
						echo '--wc-sglprodsbwidth: ' . esc_attr( $wcsbwidth ) . '; ';  //3
						echo '}';
						$prodinfowidth1 = 'calc((95%*(12 - var(--wc-sglprodsbwidth))/12 - 30px)*(var(--wc-sglprodmdr)/100) )';
						$prodinfopos1 = 'calc( 2.5% + (95% - (95%*(var(--wc-sglprodsbwidth)/12)) - 15px - ( 95% - 30px - (95%*(var(--wc-sglprodsbwidth)/12)) )*(var(--wc-sglprodmdr)/100) ))';
						$prodinfowidth2 = 'calc((95%*(12 - var(--wc-sglprodsbwidth))/12 - 30px)*(var(--wc-sglprodlgr)/100) )';
						$prodinfopos2 = 'calc( 2.5% + (95% - (95%*(var(--wc-sglprodsbwidth)/12)) - 15px - (95% - 30px - (95%*(var(--wc-sglprodsbwidth)/12)) )*(var(--wc-sglprodlgr)/100) ))';
						$prodinfowidth3 = 'calc((1380px*(12 - var(--wc-sglprodsbwidth))/12 - 30px)*(var(--wc-sglprodlgr)/100) )';
						$prodinfopos3 = 'calc( (100% - 1380px)*0.5 + (1380px - (1380px*(var(--wc-sglprodsbwidth)/12)) - 15px - (1380px - 30px - (1380px*(var(--wc-sglprodsbwidth)/12)) )*(var(--wc-sglprodlgr)/100) ))';
					}
				} else {
					if ( 'original' !== $wcstickysumxpos && true == $wcstickysumfixwth ) {
						echo ':root { ';
						echo '--wc-sglprodmdr: ' . esc_attr( $mdimgwthr ) . '; ';
						echo '--wc-sglprodlgr: ' . esc_attr( $lgimgwthr ) . '; ';
						echo '}';
						$prodinfowidth1 = 'calc((95% - 30px)*(var(--wc-sglprodmdr)/100))';
						$prodinfopos1 = 'calc( 2.5% + (95% - 15px - ( (95% - 30px)*(var(--wc-sglprodmdr)/100) )))';
						$prodinfowidth2 = 'calc((95% - 30px)*(var(--wc-sglprodlgr)/100))';
						$prodinfopos2 = 'calc( 2.5% + (95% - 15px - ((95% - 30px)*(var(--wc-sglprodlgr)/100))))';
						$prodinfowidth3 = 'calc((1380px - 30px)*(var(--wc-sglprodlgr)/100))';
						$prodinfopos3 = 'calc((100% - 1380px)*0.5 + (1380px - 15px - ((1380px - 30px)*(var(--wc-sglprodlgr)/100))))';
					}
				}
				if ( $wcstickysumfromwidth >= 768 && $wcstickysumfromwidth < 992 ) {
					echo '@media screen and (min-width: 768px) { ';
					echo '.woocommerce .summary.entry-summary.sticky { ';
					echo ( ! empty( $wcstickysumbgcolor ) ? 'background-color: ' . esc_attr( $stickysumbgcolorrgba ) . '; ' : '' );
					echo 'position: fixed; z-index: 99; ';
					echo 'top: ' . esc_attr( $wcstickysumypos ) . 'px; ';
					if ( true == $wcstickysumfixwth ) {
						echo 'width: ' . esc_attr( $wcstickysumwth ) . 'px !important; ';
					} else {
						echo 'width: ' . esc_attr( $prodinfowidth1 ) . '!important; ';
					}
					if ( 'original' == $wcstickysumxpos ) {
						echo 'left: ' . esc_attr( $prodinfopos1 ) . '; ';
					} elseif ( 'left' == $wcstickysumxpos ) {
						echo 'left: .5rem; ';
					} elseif ( 'right' == $wcstickysumxpos ) {
						echo 'right: .5rem; ';
					}
					echo 'box-shadow: 0 8px 12px 0 rgba(0,0,0,0.1); }';
					echo '}';
				}

				if ( $wcstickysumfromwidth >= 768 && $wcstickysumfromwidth < 1440 ) {
					echo '@media screen and (min-width: 992px) { ';
					echo '.woocommerce .summary.entry-summary.sticky { ';
					echo ( ! empty( $wcstickysumbgcolor ) ? 'background-color: ' . esc_attr( $stickysumbgcolorrgba ) . '; ' : '' );
					echo 'position: fixed; z-index: 99; ';
					echo 'top: ' . esc_attr( $wcstickysumypos ) . 'px; ';
					if ( true == $wcstickysumfixwth ) {
						echo 'width: ' . esc_attr( $wcstickysumwth ) . 'px !important; ';
					} else {
						echo 'width: ' . esc_attr( $prodinfowidth2 ) . '!important; ';
					}
					if ( 'original' == $wcstickysumxpos ) {
						echo 'left: ' . esc_attr( $prodinfopos2 ) . '; ';
					} elseif ( 'left' == $wcstickysumxpos ) {
						echo 'left: .5rem; ';
					} elseif ( 'right' == $wcstickysumxpos ) {
						echo 'right: .5rem; ';
					}
					echo 'box-shadow: 0 8px 12px 0 rgba(0,0,0,0.1); }';
					echo '}';
				}

				echo '@media screen and (min-width: 1440px) { ';
				echo '.woocommerce .summary.entry-summary.sticky { ';
				echo ( ! empty( $wcstickysumbgcolor ) ? 'background-color: ' . esc_attr( $stickysumbgcolorrgba ) . '; ' : '' );
				echo 'position: fixed; z-index: 99; ';
				echo 'top: ' . esc_attr( $wcstickysumypos ) . 'px; ';
				if ( true == $wcstickysumfixwth ) {
					echo 'width: ' . esc_attr( $wcstickysumwth ) . 'px !important; ';
				} else {
					echo 'width: ' . esc_attr( $prodinfowidth3 ) . '!important; ';
				}
				if ( 'original' == $wcstickysumxpos ) {
					echo 'left: ' . esc_attr( $prodinfopos3 ) . '; ';
				} elseif ( 'left' == $wcstickysumxpos ) {
					echo 'left: .5rem; ';
				} elseif ( 'right' == $wcstickysumxpos ) {
					echo 'right: .5rem; ';
				}
				echo 'box-shadow: 0 8px 12px 0 rgba(0,0,0,0.1); }';
				echo '}';
			}

			// Cart & checkout
			echo '.woocommerce table.shop_table, .woocommerce form.checkout_coupon, .woocommerce form.login, .woocommerce form.register, .select2-dropdown { ';
			echo 'border-radius: ' . esc_attr( $borderradius ) . 'rem; } ';
			$xsellpos = get_theme_mod( 'dba_wc_cart_xsell_pos', 'default' );
			if ( 'default' != $xsellpos ) {
				// full width cart totals
				echo '.woocommerce .cart-collaterals .cart_totals, .woocommerce-page .cart-collaterals .cart_totals { ';
				echo 'width: 100%; float: none;';
				echo '} ';
			}
			echo '.select2-container--default .select2-selection--single .select2-selection__rendered, .select2-container--default .select2-selection--single .select2-selection__arrow { ';
			echo 'line-height: var(--min-height); ';
			echo 'height: var(--min-height); ';
			echo '}';

		}

		// Header text
		$header_text_color = get_header_textcolor();
		if ( get_theme_support( 'custom-header', 'default-text-color' ) !== $header_text_color ) {
			if ( ! display_header_text() ) :
				echo '.site-title, .site-description { position: absolute; clip: rect(1px, 1px, 1px, 1px); } ';
			else :
				echo '.site-title, .site-description { color: ' . esc_attr( $header_text_color ) . '; } ';
			endif;
		}

		// Custom background
		$coloronbgimg = get_theme_mod( 'dba_bgcolor_ontop', false );
		if ( $coloronbgimg ) {
			$colouropacity = get_theme_mod( 'dba_bgcolor_ontop_opacity' );
			$bgcolor = get_background_color();
			if ( empty( $bgcolor ) ) {
				$bgcolor = 'ffffff';
			}
			echo '.dba-main-content { background-color: #' . esc_attr( $bgcolor ) . '; ' . ( ! empty( $colouropacity ) ? 'opacity: ' . esc_attr( $colouropacity ) . ';' : '' ) . ' }';
		}
		$bgimghponly = get_theme_mod( 'dba_bgimg_hponly' );
		if ( true == $bgimghponly ) {
			echo 'body:not(.home).custom-background {background-image: none; }';
		}

		// Topbar
		$showtopbar = get_theme_mod( 'dba_topbar', false );
		if ( $showtopbar ) {
			$topbarbgcolor = get_theme_mod( 'dba_topbar_colour', '' );
			if ( ! empty( $topbarbgcolor['bg'] ) ) {
				echo '.site-topbar { background-color: ' . esc_attr( $topbarbgcolor['bg'] ) . '; } ';
			}
		}

		// Theme Menu
		if ( ! class_exists( 'Mega_Menu' ) ) {
			$menudropdownradius = get_theme_mod( 'dba_menu_dropdown_border_radius', 0 );
			echo '.dropdown-menu { border-radius: ' . esc_attr( $menudropdownradius ) . 'rem; }';
		}

		// Sticky menu
		$usestickymenu = get_theme_mod( 'dba_stickymenu', false );
		if ( $usestickymenu ) {
			$stickmenuopacity = get_theme_mod( 'dba_stickymenu_opacity', '' );
			echo '.site-mainnav.stickyheader { opacity: ' . esc_attr( $stickmenuopacity ) . '; } ';
			if ( is_admin_bar_showing() ) {
				echo '.site-mainnav.stickyheader { top: 32px; }';
				echo '@media screen and (max-width: 782px) { .site-mainnav.stickyheader { top: 46px; } }';
			}
		}

		// Layout
		$defaultlayout = array(
			'header'      => '#f0f1f2',
			'top-footer'  => '#f0f1f2',
			'btm-footer'  => '#f0f1f2',
		);
		$layoutcolor = get_theme_mod( 'dba_layout', $defaultlayout );
		echo '.site-header, .site-mainnav { background-color: ' . esc_attr( $layoutcolor['header'] ) . ' } ';
		echo '.dba-top-footer { background-color: ' . esc_attr( $layoutcolor['top-footer'] ) . ' } ';
		echo '.dba-btm-footer { background-color: ' . esc_attr( $layoutcolor['btm-footer'] ) . ' } ';

		// Widgets
		$defaultwidgetcolor = array(
			'sidebar-head'  => '#2c3234',
			'footer-head'   => '#2c3234',
			'sidebar-text'  => '#28292a',
			'footer-text'   => '#28292a',
		);
		$widgetcolor = get_theme_mod( 'dba_widgets', $defaultwidgetcolor );
		echo '#secondary .dba-widget-title { color: ' . esc_attr( $widgetcolor['sidebar-head'] ) . ' } ';
		echo '#footer .dba-widget-title { color: ' . esc_attr( $widgetcolor['footer-head'] ) . ' } ';
		echo '#secondary { color: ' . esc_attr( $widgetcolor['sidebar-text'] ) . ' } ';
		echo '#footer { color: ' . esc_attr( $widgetcolor['footer-text'] ) . ' } ';

		// Front page custom header
		$showcustomheader = get_theme_mod( 'dba_hp_custom_header', false );
		if ( $showcustomheader ) {
			$headimgbgcolor = get_theme_mod( 'dba_hp_headimg_sect_dba_bgcolor', '' );
			if ( ! empty( $headimgbgcolor ) ) {
				echo '.hp-header-img { background-color: ' . esc_attr( $headimgbgcolor ) . '; } ';
			}
			$headimgimgbgcolor = get_theme_mod( 'dba_hp_headimg_bgcolor', '' );
			if ( ! empty( $headimgimgbgcolor ) ) {
				echo '.dba-hp-header-img { background-color: ' . esc_attr( $headimgimgbgcolor ) . '; } ';
			}
			$headimgtxtcolor = get_theme_mod( 'dba_hp_headimg_txt_bgcolor', '' );
			if ( ! empty( $headimgtxtcolor ) ) {
				$headerstyle = get_theme_mod( 'dba_hp_headimg_style', '1' );
				if ( '1' == $headerstyle ) {
					echo '.dba-hp-header-txt { background-color: ' . esc_attr( $headimgtxtcolor ) . '; } ';
				} elseif ( '2' == $headerstyle ) {
					$txtbgopacity = get_theme_mod( 'dba_hp_headimg_text_bgopacity', 1 );
					$txtbgcolorrgb = dfu_busacc_fn_hex2rgb( $headimgtxtcolor );
					$txtbgcolorrgba = 'rgba(' . $txtbgcolorrgb['r'] . ',' . $txtbgcolorrgb['g'] . ',' . $txtbgcolorrgb['b'] . ', ' . $txtbgopacity . ')';
					echo '.dba-hp-header-txtonimg { background-color: ' . esc_attr( $txtbgcolorrgba ) . '; } ';
				}
			}
		}

		// Title - styles
		$defaulttitlecolor = get_theme_mod( 'dba_default_title_color' );
		$decor1 = get_theme_mod( 'dba_default_title_style1', '\25FC' );
		$decor2 = get_theme_mod( 'dba_default_title_style2', '\25CF' );
		$decor3 = get_theme_mod( 'dba_default_title_style3', '\2724' );
		$decor4 = get_theme_mod( 'dba_default_title_style4', '\273D' );
		$decor5 = get_theme_mod( 'dba_default_title_style5', '\2744' );
		$border1 = get_theme_mod( 'dba_default_title_style1_border', 5 );
		$border2 = get_theme_mod( 'dba_default_title_style2_border', 2 );
		$border3 = get_theme_mod( 'dba_default_title_style3_border', 3 );
		$border4 = get_theme_mod( 'dba_default_title_style4_border', 4 );
		$border5 = get_theme_mod( 'dba_default_title_style5_border', 5 );
		$border6 = get_theme_mod( 'dba_default_title_style5_border', 5 );
		$decorhover = get_theme_mod( 'dba_default_hover_title_style', '\27A6' );
		echo '.dba-headstyle1 { border-right: ' . esc_attr( $border1 ) . 'px solid transparent; border-left: ' . esc_attr( $border1 ) . 'px solid transparent;border-bottom: ' . esc_attr( $border1 ) . 'px solid ' . esc_attr( $defaulttitlecolor['border'] ) . '; } ';
		echo '.dba-headstyle1:after { content: "' . esc_attr( $decor1 ) . '"; } ';

		echo '.dba-headstyle2 { ';
		echo ( ! empty( $defaulttitlecolor['bg'] ) ? 'background-color:' . esc_attr( $defaulttitlecolor['bg'] ) . '; ' : '' );
		echo 'border-bottom: ' . esc_attr( $border2 ) . 'px dotted ' . esc_attr( $defaulttitlecolor['border'] ) . '; } ';
		echo '.dba-headstyle2:after { content: "' . esc_attr( $decor2 ) . '"; } ';

		echo '.dba-headstyle3 { ';
		echo ( ! empty( $defaulttitlecolor['bg'] ) ? 'background-color:' . esc_attr( $defaulttitlecolor['bg'] ) . '; ' : '' );
		echo 'border-bottom: ' . esc_attr( $border3 ) . 'px solid ' . esc_attr( $defaulttitlecolor['border'] ) . '; } ';
		echo '.dba-headstyle3:after { content: "' . esc_attr( $decor3 ) . '"; } ';

		echo '.dba-headstyle4 { border-bottom: ' . esc_attr( $border4 ) . 'px dashed ' . esc_attr( $defaulttitlecolor['border'] ) . '; } ';
		echo '.dba-headstyle4:after { content: "' . esc_attr( $decor4 ) . '"; } ';

		echo '.dba-headstyle5 { border-bottom: ' . esc_attr( $border5 ) . 'px dashed ' . esc_attr( $defaulttitlecolor['border'] ) . '; } ';
		echo '.dba-headstyle5:after { content: "' . esc_attr( $decor5 ) . '"; } ';

		echo '.dba-headstyle6:before, .dba-headstyle6:after { border-top: ' . esc_attr( $border6 ) . 'px double ' . esc_attr( $defaulttitlecolor['border'] ) . '; } ';

		echo '.dba-headstyle1::first-letter, .dba-headstyle2::first-letter, .dba-headstyle3::first-letter, .dba-headstyle4::first-letter, .dba-headstyle5::first-letter { color: ' . esc_attr( $defaulttitlecolor['highlight'] ) . '; } ';
		echo '.dba-headstyle1:after, .dba-headstyle2:after, .dba-headstyle3:after, .dba-headstyle4:after, .dba-headstyle5:after { color: ' . esc_attr( $defaulttitlecolor['highlight'] ) . '; } ';

		echo 'a:hover .dba-headstyle1:after, a:focus .dba-headstyle1:after, a:active .dba-headstyle1:after, a:hover .dba-headstyle2:after, a:focus .dba-headstyle2:after, a:active .dba-headstyle2:after, a:hover .dba-headstyle3:after, a:focus .dba-headstyle3:after, a:active .dba-headstyle3:after, a:hover .dba-headstyle4:after, a:focus .dba-headstyle4:after, a:active .dba-headstyle4:after, a:hover .dba-headstyle5:after, a:focus .dba-headstyle5:after, a:active .dba-headstyle5:after { font-size: inherit; content: "' . esc_attr( $decorhover ) .'"; } ';
		echo 'a:hover .dba-headstyle1, a:focus .dba-headstyle1, a:active .dba-headstyle1, a:hover .dba-headstyle2, a:focus .dba-headstyle2, a:active .dba-headstyle2, a:hover .dba-headstyle3, a:focus .dba-headstyle3, a:active .dba-headstyle3, a:hover .dba-headstyle4, a:focus .dba-headstyle4, a:active .dba-headstyle4, a:hover .dba-headstyle5, a:focus .dba-headstyle5, a:active .dba-headstyle5 { border-bottom-color: ' . esc_attr( $defaulttitlecolor['hborder'] ) . ';} ';
		echo 'a:hover .dba-headstyle6:before, a:hover .dba-headstyle6:after { border-top-color: ' . esc_attr( $defaulttitlecolor['hborder'] ) . '; } ';

		// CTA
		$showcta = get_theme_mod( 'dba_hp_cta', false );
		if ( $showcta ) {
			$ctabgtype = get_theme_mod( 'dba_hp_cta_bg_type', 'bgcolor' );
			if ( $ctabgtype && 'bgcolor' !== $ctabgtype ) {
				$bgimgid = get_theme_mod( 'dba_hp_cta_bgimg' );
				$fullbgimgurl = wp_get_attachment_image_src( $bgimgid, 'full' )[0];
				$xlbgimgurl = wp_get_attachment_image_src( $bgimgid, 'dfu-busacc-xl' )[0];
				$lgbgimgurl = wp_get_attachment_image_src( $bgimgid, 'large' )[0];
				$mdbgimgurl = wp_get_attachment_image_src( $bgimgid, 'medium_large' )[0];
				$smbgimgurl = wp_get_attachment_image_src( $bgimgid, 'dfu-busacc-md' )[0];
				$bgrepeat = get_theme_mod( 'dba_hp_cta_bg_repeat', 'no-repeat' );
				$bgattach = get_theme_mod( 'dba_hp_cta_bg_attachment', 'fixed' );
			}
			$ctatxtcolor = get_theme_mod( 'dba_hp_cta_txtcolor', '' );
			echo '.dba-cta, .dba-cta h2 { color: ' . esc_attr( $ctatxtcolor ) . '; } ';
			echo '.dba-cta {';
			if ( empty( $bgimgid ) && 'bgcolor' !== $ctabgtype ) {
				echo 'background: none;';
			} else {
				if ( 'bgcolor' !== $ctabgtype ) {
					echo 'background-image: url(' . esc_url( $smbgimgurl ) . '); ';
					echo 'background-repeat: ' . esc_attr( $bgrepeat ) . '; ';
					echo 'background-attachment: ' . esc_attr( $bgattach ) . '; ';
					echo 'background-position: center center; background-size: auto; min-height: 120px; ';
				}
				if ( 'bgimg' !== $ctabgtype ) {
					echo 'background-color: ' . esc_attr( get_theme_mod( 'dba_hp_cta_bgcolor', '#2c3234' ) ) . '; ';
				}
			}
			echo '} ';
			if ( ! empty( $bgimgid ) ) {
				if ( 'bgcolor' !== $ctabgtype ) {
					echo '@media screen and (min-width: 576px ) {';
					echo '.dba-cta {';
						echo 'background-image: url(' . esc_url( $mdbgimgurl ) . '); ';
					echo '} ';
					echo '} ';
					echo '@media screen and (min-width: 768px ) {';
					echo '.dba-cta {';
						echo 'background-image: url(' . esc_url( $lgbgimgurl ) . '); ';
					echo '} ';
					echo '} ';
					echo '@media screen and (min-width: 992px ) {';
					echo '.dba-cta {';
						echo 'background-image: url(' . esc_url( $xlbgimgurl ) . '); ';
					echo '} ';
					echo '} ';
					echo '@media screen and (min-width: 1200px ) {';
					echo '.dba-cta {';
						echo 'background-image: url(' . esc_url( $fullbgimgurl ) . '); ';
					echo '} ';
					echo '} ';
				}
			}
		}

		// Blog
		$usebadge = get_theme_mod( 'dba_blog_tag_use_badge', false );
		$badgecolor = get_theme_mod( 'dba_blog_badge_color' );
		if ( $usebadge ) {
			echo '.dba-badge-link a { color: ' . esc_attr( $badgecolor['text'] ) . '!important; } ';
			echo '.dba-badge-link a:hover, .dba-badge-link a:focus, .dba-badge-link a:active { border-bottom: 1px solid transparent !important; border-image-source: none !important; } ';
			echo '.dba-badge-link a:focus, .dba-badge-link a:active { text-decoration: underline; text-decoration-style: dashed; text-decoration-line: underline; box-shadow: var(--shadow-light); } ';
			echo '.dba-badge-link { background-color: ' . esc_attr( $badgecolor['bg'] ) . '; } ';
			echo '.dba-badge-link:hover, .dba-badge-link:focus, .dba-badge-link:active { background-color: ' . esc_attr( $badgecolor['hbg'] ) . '; } ';
			echo '.dba-badge-link:hover a, .dba-badge-link:focus a, .dba-badge-link:active a { color: ' . esc_attr( $badgecolor['htext'] ) . '!important; } ';
		}
		$blogheadico = get_theme_mod( 'dba_blog_header_ico_color' );
		$blogfootico = get_theme_mod( 'dba_blog_footer_ico_color' );
		echo '.dba-bloghead-ico { color: ' . esc_attr( $blogheadico ) . '; } ';
		echo '.dba-blogfoot-ico { color: ' . esc_attr( $blogfootico ) . '; } ';

		$imgpc = get_theme_mod( 'dba_blog_img_pc', 50 );
		echo '@media only screen and (min-width: 768px) {';
		echo '.dba-singlepost-img { max-width: ' . esc_attr( $imgpc ) . '%; } ';
		echo '} ';

		// Non mobile
		$breakpt2 = substr( dfu_busacc_fn_get_menu_breakpt(), 0, strpos ( dfu_busacc_fn_get_menu_breakpt(), 'px') ) + 1;
		echo '@media screen and (min-width: ' . esc_html( $breakpt2 ) . 'px' . ') {';
		echo '.site-topbar, .site-info { display: block; } ';
		echo '.dba-stickylogo { display: none; } ';
		if ( class_exists( 'Mega_Menu' ) && max_mega_menu_is_enabled( 'main-menu' ) ) {
			if ( get_theme_mod( 'dba_header_layout', 1 ) == 2 ) {
				$menualign = get_theme_mod( 'dba_menu_align2', 'start' );
				switch ( $menualign ) {
					case 'start':
						$jcontent = 'flex-start';
						break;
					case 'end':
						$jcontent = 'flex-end';
						break;
					case 'center':
						$jcontent = 'center';
						break;
				}
				echo '#site-navigation > div { display: flex; flex-grow: 1; justify-content: ' . esc_attr( $jcontent ) . ' } ';
			} elseif ( get_theme_mod( 'dba_header_layout', 1 ) == 1 ) {
				if ( get_theme_mod( 'dba_menu_align1', 'end' ) == 'start' ) {
					echo '#site-navigation { justify-content: flex-start; } ';
				}
			}
		}
		echo '} ';

		// Mobile
		if ( class_exists( 'woocommerce' ) ) {
			$wcbottomcart = get_theme_mod( 'dba_wc_cart_icon_btm', false );
			$wcbottomcartmob = get_theme_mod( 'dba_wc_cart_icon_btm_mob_only', false );
			if ( true == $wcbottomcartmob ) {
				echo '@media screen and (min-width: ' . esc_html( dfu_busacc_fn_get_menu_breakpt() ) . ') {';
				echo '#dba-sticky-wc-cart { display: none; } ';
				echo '} ';
			}
		}

		echo '</style>';
	}
}

